client_table.h File Reference
`#include "ClientSubscription.h"`
`#include "service_table.h"`
`#include "upnp.h"`
`#include "UpnpString.h"`
`#include "upnp_timeout.h"`
`#include "uri.h"`
`#include "TimerThread.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <time.h>`
Include dependency graph for client_table.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | free_client_subscription (ClientSubscription *sub)
| Free memory allocated for client subscription data. More...
void | freeClientSubList (ClientSubscription *list)
| Free the client subscription table. More...
void | RemoveClientSubClientSID (ClientSubscription **head, const UpnpString *sid)
| Remove the client subscription matching the subscritpion id represented by the const Upnp_SID sid parameter from the table and update the table. More...
ClientSubscription * | GetClientSubClientSID (ClientSubscription *head, const UpnpString *sid)
| Return the client subscription from the client table that matches const Upnp_SID sid subscrition id value. More...
ClientSubscription * | GetClientSubActualSID (ClientSubscription *head, token *sid)
| Returns the client subscription from the client subscription table that has the matching token *sid buffer value. More...

## Variables

TimerThread | gTimerThread

## Function Documentation

void free_client_subscription | ( | ClientSubscription * | sub | ) |

Free memory allocated for client subscription data.

Remove timer thread associated with this subscription event.

Parameters

  [in] | sub | Client subscription to be freed.

References free_upnp_timeout(), gTimerThread, and TimerThreadRemove().

void freeClientSubList | ( | ClientSubscription * | list | ) |

Free the client subscription table.

Parameters

  [in] | list | Client subscription list to be freed.

ClientSubscription* GetClientSubActualSID | ( | ClientSubscription * | head,
|  | token * | sid
| ) |  |

Returns the client subscription from the client subscription table that has the matching token *sid buffer value.

Returns
  The matching subscription.

Parameters

  [in] | head | Head of the subscription list.
  [in] | sid | Subscription ID to be mactched.

ClientSubscription* GetClientSubClientSID | ( | ClientSubscription * | head,
|  | const UpnpString * | sid
| ) |  |

Return the client subscription from the client table that matches const Upnp_SID sid subscrition id value.

Returns
  The matching subscription.

Parameters

  [in] | head | Head of the subscription list.
  [in] | sid | Subscription ID to be mactched.

References UpnpString_get_String().

void RemoveClientSubClientSID | ( | ClientSubscription ** | head,
|  | const UpnpString * | sid
| ) |  |

Remove the client subscription matching the subscritpion id represented by the const Upnp_SID sid parameter from the table and update the table.

Parameters

  [in] | head | Head of the subscription list.
  [in] | sid | Subscription ID to be mactched.

References UpnpString_get_String().

## Variable Documentation

TimerThread gTimerThread

Global timer thread.